Subject: Re: PPC kernel hangs

From: Jon Masters <[email-masked]>
Date: Wed, 13 Oct 2004 00:03:21 +0100

On Tue, 12 Oct 2004 14:36:34 -0700, Eugene Surovegin <[email-masked]> wrote:

> Did you use ioremap to get valid kernel virtual address for your
> device registers? You generally cannot just use physical address to
> access device from the device driver.

Possibly also use io_block_mapping on ppc to map a block of IO memory
before ioremapping.

Jon.